### Method

# Gio DBusMessage set_body

since: 2.26

#### Declaration

    void
    g_dbus_message_set_body (
      GDBusMessage* message,
      GVariant* body
    )

#### Description

Sets the body `message`. As a side-effect the `G_DBUS_MESSAGE_HEADER_FIELD_SIGNATURE` header field is set to the type string of `body` (or cleared if `body` is `NULL`).

If `body` is floating, `message` assumes ownership of `body`.

Available since: 2.26

#### Parameters

`body`

  Type: `GVariant`

  Either `NULL` or a `GVariant` that is a tuple.

  The data is owned by the caller of the method.